package com.beem.project.beem.ui;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

import com.beem.project.beem.R;

public class Beem extends Activity {

    private SharedPreferences mSettings;

    /**
     * Called when the activity is first created.
     */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        mSettings = getSharedPreferences(
                getString(R.string.PreferenceFileName), MODE_PRIVATE);
        showJID();

        Button btConnection = (Button) findViewById(R.id.connection);
        btConnection.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View v) {
                startActivity(new Intent(Beem.this, ContactList.class));
            }
        });
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        super.onCreateOptionsMenu(menu);
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.account, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        BeemDialogSettings Dialog = new BeemDialogSettings(this, mSettings);
        switch (item.getItemId()) {
        case R.id.account_edit:
            Dialog.show();
            return true;
        case R.id.account_about:
            return true;
        }
        return false;
    }

    public void showJID() {
        EditText ejid = (EditText) findViewById(R.id.jid);
        String jid = mSettings.getString("login", "") + "@"
                + mSettings.getString("host", "");
        if (jid.length() == 1)
            jid = "Enter Jabber ID / Create New Account";
        ejid.setText(jid);
    }

}
